## ros-noetic-rosbridge-server 0.11.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosbridge_server)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

catkin_install_python(PROGRAMS
  scripts/rosbridge_websocket.py
  scripts/rosbridge_websocket
  scripts/rosbridge_tcp.py
  scripts/rosbridge_tcp
  scripts/rosbridge_udp
  scripts/rosbridge_udp.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  launch/rosbridge_websocket.launch
  launch/rosbridge_tcp.launch
  launch/rosbridge_udp.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/websocket/test_smoke.test)
endif()

=== debian/changelog ===
ros-noetic-rosbridge-server (0.11.16-2focal) focal; urgency=high

  * Bump minimum required cmake version. (#814 <https://github.com/RobotWebTools/rosbridge_suite/issues/814>)
  * Fix send_message being called with wrong arguments. (#812 <https://github.com/RobotWebTools/rosbridge_suite/issues/812>)
  * Contributors: Hans-Joachim Krauch

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Oct 2022 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.15-2focal) focal; urgency=high

  * Skip unnecessary conversion for cbor/cbor-raw compression (#792 <https://github.com/RobotWebTools/rosbridge_suite/issues/792>)
    * Skip unnecessary conversion for cbor compression.
    This change avoids some unnecessary conversions when using cbor/cbor-raw compression, leading to a significantly perfomance boost.
    * Add caching for subscriptions with cbor compression.
  * Contributors: Hans-Joachim Krauch

 -- Russell Toris <rctoris@wpi.edu>  Thu, 06 Oct 2022 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.14-2focal) focal; urgency=high

  * Fix ROS 1 RosbridgeTcpSocket endless loop (#722 <https://github.com/RobotWebTools/rosbridge_suite/issues/722>)
  * Fix bson support for python3 (#545 <https://github.com/RobotWebTools/rosbridge_suite/issues/545>)
  * Small fixes (#681 <https://github.com/RobotWebTools/rosbridge_suite/issues/681>)
  * Contributors: Matthijs van der Burgh, Nick Paul, curiosus42

 -- Russell Toris <rctoris@wpi.edu>  Mon, 13 Jun 2022 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.13-2focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Dec 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.12-2focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.11-2focal) focal; urgency=high

  * rosbridge_udp now encodes msg to bytes before send (#537 <https://github.com/RobotWebTools/rosbridge_suite/issues/537>)
    This is required to work with python3 socket library
  * Conversion between bytes and string (#534 <https://github.com/RobotWebTools/rosbridge_suite/issues/534>)
    As of python3 sockets will input and output byte strings instead of String objects.
    This commits does the necessary coversions inside the tcp_handler, but it might
    not be the most thoughtful solution but just what I did to make it work with
    python3.
  * Contributors: Felix Exner, Karl Oskar Lember

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.10-2focal) focal; urgency=high

  * Error initialization with tornado. (#510 <https://github.com/RobotWebTools/rosbridge_suite/issues/510>)
    max_message_size has to be integer when initializating using tornado.
  * Contributors: Carlos Herrero

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.9-2focal) focal; urgency=high

  * noetic tests and fixes (#503 <https://github.com/RobotWebTools/rosbridge_suite/issues/503>)
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.8-2focal) focal; urgency=high

  * Finish protocol in IncomingQueue thread (#502 <https://github.com/RobotWebTools/rosbridge_suite/issues/502>)
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.7-2focal) focal; urgency=high

  * Fix backpressure deadlock (#496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>)
    * Don't block Subscription.unregister()
    * Don't add messages to finished queue handler
    * Decouple incoming WS handling from server thread
  * Added support for None for websocket_external_port (#494 <https://github.com/RobotWebTools/rosbridge_suite/issues/494>)
  * Contributors: Matt Vollrath, pramodhkp

 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.6-2focal) focal; urgency=high

  * Output node parameter (#481 <https://github.com/RobotWebTools/rosbridge_suite/issues/481>)
  * Contributors: Raffaello Bonghi

 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.5-2focal) focal; urgency=high

  * default websocket_external_port to port to mimic behavior in node (#470 <https://github.com/RobotWebTools/rosbridge_suite/issues/470>)
    fixes bug introduced in #468 <https://github.com/RobotWebTools/rosbridge_suite/issues/468>
  * Default to supporting local files as we had before Autobahn. (#469 <https://github.com/RobotWebTools/rosbridge_suite/issues/469>)
    For Kinetic 0.10.3 version don't add the allowNullOrigin option.
    For everything else add it and default to True because that is
    consistent with the original behaviour of this package.
    Add websocket_null_origin to launch args
  * Python 3 updates/fixes (#460 <https://github.com/RobotWebTools/rosbridge_suite/issues/460>)
    * rosbridge_library, rosbridge_server: Update package format
    Add Python3 conditional dependencies where applicable.
    * rosbridge_library: Fix pngcompression for Python 3
    * rosapi: Use catkin_install_python for scripts
  * Fix intermittent test smoke (#473 <https://github.com/RobotWebTools/rosbridge_suite/issues/473>)
    * Run rosbridge_server websocket tests serial
    Running these tests in parallel may make them less reliable.
    * Reduce websocket smoke test load
    Appears to be failing intermittently due to a client issue.
    Co-authored-by: Jihoon Lee <mailto:jihoonlee.in@gmail.com>
  * Expose autobahn externalPort parameter (#468 <https://github.com/RobotWebTools/rosbridge_suite/issues/468>)
    * Expose autobahn externalPort parameter
    * Use ws port as default external port
    * Include websocket params in launchfile
  * Contributors: Alexey Rogachevskiy, Eduardo Paez, El Jawad Alaa, Matt Vollrath, boilerbots

 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Apr 2020 00:00:00 -0000



=== debian/control ===
Source: ros-noetic-rosbridge-server
Section: misc
Priority: optional
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin, ros-noetic-rostest <!nocheck>
Homepage: http://ros.org/wiki/rosbridge_server
Standards-Version: 3.9.2

Package: ros-noetic-rosbridge-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-autobahn, python3-tornado, python3-twisted, ros-noetic-rosapi, ros-noetic-rosauth, ros-noetic-rosbridge-library, ros-noetic-rosbridge-msgs, ros-noetic-rospy
Description: A WebSocket interface to rosbridge.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rosbridge-server//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
